function getLanguage
{
	local PAS_DEBUG=/fs/rwdata/fordlogs/pas_debug.log
	local LANG

	set -A LANGUAGES BAD UNK ENG ENU GED ITI FRF FRC SPE SPM TRT RUR DUN ENG PLP CZC GRG HUH SWS DAD NON FIF PTP PTB ENG ENA KOK MNC MNT ARS SKS THT ENI ENE BGB SRS HRH ETE ISI LVL LTL ROR SLS SPL
	LANG=${LANGUAGES[$(grep -s 'systemLanguage' /fs/rwdata/ALPersistence/SourceSettings.ini | awk -F= '{ print $2 }')]}
	if [ "$LANG" = "BAD" ]; then
		local LANG_LINES=$(grep "System.CurrentLanguage=" $PAS_DEBUG)
		if [ -z "$LANG_LINES" ]; then
			for i in 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25
			do
				LANG_LINES=$(grep "System.CurrentLanguage=" $PAS_DEBUG.${i} 2>/dev/null)
				if [ -z "$LANG_LINES" ]; then
					LANG_LINES=$(gzip -dc $PAS_DEBUG.${i} 2>/dev/null | grep "System.CurrentLanguage=")
				fi
				if [ -n "$LANG_LINES" ]; then
					break
				fi
			done
		fi
		if [ -n "$LANG_LINES" ]; then
			LANG=$(echo "$LANG_LINES" | tail -1 | awk -F= '{ print $3 }' | tr -d '[:space:]')
		fi
	fi
	
	echo $LANG
}

getLanguage
